{{!
    This file is part of Moodle - http://moodle.org/

    Moodle is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    Moodle is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Moodle.  If not, see <http://www.gnu.org/licenses/>.
}}
{{!
    @template block_metadata_status/metadata_status

    Classes required for JS:
    * none

    Data attributes required for JS:
    * none

    Context variables required for this template:
    * sharedModules Number of shared modules
    * filledModules Number of filled modules
    * filledModulesHelp Help text for filled modules

    Example context (json):
    {
        "sharedModules": 10,
        "filledModules": 5,
        "filledModulesHelp": "Help for filled modules"
    }
}}
<div class="info-items">
	<div class="p-2 text-center bold rounded-top info-item-number">{{sharedModules}}</div>
	<div class="p-2 text-center bold rounded-top info-item-number">{{filledModules}}</div>
	<div class="text-white bg-primary p-2 rounded-bottom d-flex justify-content-center align-items-center">
	    <i class="fa fa-share-alt mr-2"></i>
	    <span class="small bold">{{# str}} shared_modules, block_metadata_status {{/ str}}</span>
	</div>
	<div class="text-white bg-primary p-2 rounded-bottom d-flex justify-content-center align-items-center">
	    <i class="fa fa-check mr-2"></i>
	    <span class="small bold"><abbr title="{{{filledModulesHelp}}}">{{# str}} filled_modules, block_metadata_status {{/ str}}</abbr></span>
	</div>
</div>
